# -*- encoding: utf-8 -*-
# stub: enhanced-elastic-beanstalk 1.2.5 ruby lib

Gem::Specification.new do |s|
  s.name = "enhanced-elastic-beanstalk".freeze
  s.version = "1.2.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Matt E. Patterson".freeze, "Kevin Ross".freeze]
  s.date = "2016-02-23"
  s.description = "    The simplest way to configure and deploy an Elastic Beanstalk application via rake.\n\n    This fork of `elastic-beanstalk` has some enhancements that we felt weren't\n    worthy of a pull request to the original project, thus the forked version.\n    Unless you specifically need HipChat support and custom eb env names, it is\n    recommended you go use the latest version of the original gem. https://github.com/alienfast/elastic-beanstalk\n".freeze
  s.email = ["mepatterson@skillsengine.com".freeze, "kevin.ross@alienfast.com".freeze]
  s.executables = ["elastic-beanstalk".freeze]
  s.files = ["bin/elastic-beanstalk".freeze]
  s.homepage = "https://github.com/mepatterson/enhanced-elastic-beanstalk".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Configure and deploy a rails app to Elastic Beanstalk via rake in 60 seconds. Maintain multiple environment DRY configurations and .ebextensions in one easy to use configuration file.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<railties>.freeze, [">= 3.2"])
    s.add_runtime_dependency(%q<eb_deployer>.freeze, [">= 0.6.1"])
    s.add_runtime_dependency(%q<awesome_print>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<time_diff>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rubyzip>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<table_print>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<dry-config>.freeze, [">= 1.2.0"])
    s.add_runtime_dependency(%q<hipchat>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_dependency(%q<railties>.freeze, [">= 3.2"])
    s.add_dependency(%q<eb_deployer>.freeze, [">= 0.6.1"])
    s.add_dependency(%q<awesome_print>.freeze, [">= 0"])
    s.add_dependency(%q<time_diff>.freeze, [">= 0"])
    s.add_dependency(%q<rubyzip>.freeze, [">= 0"])
    s.add_dependency(%q<table_print>.freeze, [">= 0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_dependency(%q<dry-config>.freeze, [">= 1.2.0"])
    s.add_dependency(%q<hipchat>.freeze, [">= 0"])
  end
end
